<?php

namespace App\Generated\V1_1\DTOs;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\DTOs\DTO;
use Kamicloud\StubApi\Utils\Constants;

class GoodNightUserDTO extends DTO
{
    use ValueHelper;

    protected $getLike;
    protected $createdAt;

    /**
     * 获得的赞数
     * @return int
     */
    public function getGetLike()
    {
        return $this->getLike;
    }

    /**
     * 创建时间
     * @return int
     */
    public function getCreatedAt()
    {
        return $this->createdAt;
    }

    public function setGetLike($getLike)
    {
        $this->getLike = $getLike;
    }

    public function setCreatedAt($createdAt)
    {
        $this->createdAt = $createdAt;
    }

    public function getAttributeMap()
    {
        return [
            ['getLike', 'get_like', 'bail|integer', Constants::INTEGER, null],
            ['createdAt', 'created_at', 'bail|integer', Constants::INTEGER, null],
        ];
    }

}
